Bug 1684011 - remove image 'automation-broker-apb' from release image list.
Summary: remove image 'automation-broker-apb' from release image list.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Tim Bielawa
QA Contact: Zihan Tang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-28 09:33 UTC by Zihan Tang
Modified: 2019-06-04 10:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:49 UTC

Comment 2 Zihan Tang 2019-03-05 05:45:09 UTC
Namespaced servicebroker is a tech-review feature in v3.11
https://github.com/openshift/ansible-service-broker/blob/master/docs/namespaced-brokers.md
It uses 'automation-broker-apb' to install namespaced broker in a selected namespace regardless of whether cluster scoped ASB is installed.

According to your comments https://bugzilla.redhat.com/show_bug.cgi?id=1684036#c1
>The Operator had to change the names of how this was installed because the operator can install more than one broker. 

If we still support the Namespaced servicebroker in v4.0 env, do you mean we need to use ASB operator to install the namespaced ASB?
If it is YES, we may need parameters such as '"broker_kind": "ServiceBroker/clusterservicebroker" in CR.

Comment 3 Shawn Hurley 2019-03-05 21:39:17 UTC
> Namespaced service broker is a tech-review feature in v3.11

Correct, and it is not a feature that we are moving forward with. It is my understanding that this is not something we need to fix because it was never supported and is not a feature that we want to work on. 

The operator will not install a namespaced broker. It can install multiple cluster-wide brokers though. 

If you need sign off from product management please ping Rob Szumski. Thanks!

Comment 4 Zihan Tang 2019-03-06 05:53:25 UTC
Thank Shown for your reply.

@Rob Szumski
I also need to confirm with you that when the feature of 'namespaced servicebroker' removed from v4.0, we should also remove image 'automation-broker-apb' in 4.0 image release list. This image is ONLY for 'install namespaced servicebroker' in v3.11. 
If both of you and Shawn agree to remove the image from release list, I'll change the title to "remove image 'automation-broker-apb' from release list" .
Thanks.

Comment 5 Rob Szumski 2019-03-06 13:49:04 UTC
Yes, you can go ahead and remove that image, as this isn't a feature we support in 4.0

Comment 7 Zihan Tang 2019-03-07 02:22:02 UTC
'automation-broker-apb' should remove from release list, whether it needs any process to do it?
I keep the bug as assigned before your process done.

Comment 8 Zhang Cheng 2019-03-07 05:59:21 UTC
Tim, 
I changed component to Release, please correct me if I have mistake.
we have got confirmation from developer team and PM, hope remove image 'automation-broker-apb' from release list since it will not be supported in OCP4.0, detail info please refer comment 3, comment 4 and comment 5. Could you give me some support? Thanks.

Comment 11 Zihan Tang 2019-04-04 02:29:31 UTC
Verified.

Comment 13 errata-xmlrpc 2019-06-04 10:44:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.